# Invoice line item by Id

GET https://api.letsdeel.com/rest/v2/invoice-adjustments/{id}

Use this endpoint to retrieve the details of a specific invoice adjustment (line item) by its id. Call it when you need to display or audit a charge, deduction, or expense on an invoice, or to reconcile a payment discrepancy. Provide the adjustment id in the path parameter. This operation is read-only.
 **Token scopes**: `invoice-adjustments:read`, `worker:read`

Reference: https://developer.deel.com/api/endpoints/invoice-adjustments/get-invoice-adjustment-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /invoice-adjustments/{id}:
    get:
      operationId: get-invoice-adjustment-by-id
      summary: Invoice line item by Id
      description: >-
        Use this endpoint to retrieve the details of a specific invoice
        adjustment (line item) by its id. Call it when you need to display or
        audit a charge, deduction, or expense on an invoice, or to reconcile a
        payment discrepancy. Provide the adjustment id in the path parameter.
        This operation is read-only.
         **Token scopes**: `invoice-adjustments:read`, `worker:read`
      tags:
        - subpackage_invoiceAdjustments
      parameters:
        - name: id
          in: path
          description: ID of an existing invoice
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/invoice-adjustments_getInvoiceAdjustmentById_Response_200
        '400':
          description: Fetch failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/InvoiceLineItemById-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataType:
      type: string
      enum:
        - accrued_holiday
        - additional_fee
        - allowance
        - bonus
        - commission
        - deduction
        - deposit
        - deposit_refund
        - employer_cost
        - expense
        - health_allowance
        - health_benefit
        - health_insurance_fee
        - legal_fee
        - management_fee
        - milestone
        - offcycle
        - other
        - overtime
        - pension
        - pro_rata
        - setup_fee
        - severance
        - shield_service
        - signing_bonus
        - signing_bonus_employer_cost
        - refund
        - task
        - time_off
        - vat
        - withholding_tax
        - work
      description: Type of invoice adjustment.
      title: InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataType
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataStatus:
      type: string
      enum:
        - approved
        - declined
        - not_payable
        - paid
        - pending
        - processing
      description: status of invoice adjustment
      title: InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataStatus
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContractType:
      type: string
      enum:
        - ongoing_time_based
        - milestones
        - time_based
        - pay_as_you_go_time_based
        - commission
        - payg_milestones
        - payg_tasks
        - eor
        - unknown
        - employee
        - global_payroll
        - shield_msa
        - hris_direct_employee
        - peo
      description: Type of a contract
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContractType
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContract:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the contract.
        type:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContractType
          description: Type of a contract
        title:
          type: string
          description: The display title of the contract.
      required:
        - id
        - type
        - title
      title: InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContract
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataApproversItems:
      type: object
      properties:
        email:
          type: string
          description: Email address of the approver.
        approved:
          type: boolean
          description: Whether the specific approver has approved the adjustment.
        full_name:
          type: string
          description: Full name of the approver.
      required:
        - approved
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataApproversItems
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataWorksheet:
      type: object
      properties:
        days:
          type: number
          format: double
          description: Number of days.
        hours:
          type: number
          format: double
          description: Number of hours.
        weeks:
          type: number
          format: double
          description: Number of weeks.
        minutes:
          type: number
          format: double
          description: Number of minutes.
      required:
        - days
        - hours
        - weeks
        - minutes
      description: Breakdown of the time/effort involved in the adjustment.
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataWorksheet
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataAttachment:
      type: object
      properties:
        key:
          type: string
          description: >-
            Storage key returned from the attachments endpoint, can be used as a
            unique identifier for the file
        filename:
          type: string
          description: Original filename of the uploaded attachment
        download_url:
          type:
            - string
            - 'null'
          description: URL used to download the uploaded attachment file.
      required:
        - key
        - filename
      description: File attachment linked to the invoice adjustment.
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataAttachment
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedById:
      oneOf:
        - type: string
        - type: integer
          format: int64
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedById
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedBy:
      type: object
      properties:
        id:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedById
        full_name:
          type: string
          description: Full name of the reporter.
      required:
        - id
      description: The user who reported/submitted the adjustment.
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedBy
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedById:
      oneOf:
        - type: string
        - type: integer
          format: int64
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedById
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedBy:
      type: object
      properties:
        id:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedById
        remarks:
          type: string
          description: Comments or notes left by the reviewer.
        full_name:
          type: string
          description: Full name of the reviewer.
        reviewed_at:
          type: string
          description: The timestamp when the review occurred.
      required:
        - id
        - remarks
        - reviewed_at
      description: The user who reviewed the adjustment.
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedBy
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataPaymentCycle:
      type: object
      properties:
        end_date:
          type: string
          format: date-time
          description: Long date-time format following ISO-8601
        start_date:
          type: string
          format: date-time
          description: Long date-time format following ISO-8601
      required:
        - end_date
        - start_date
      title: >-
        InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataPaymentCycle
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier of this resource.
        type:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataType
          description: Type of invoice adjustment.
        scale:
          type:
            - string
            - 'null'
          description: The scale used for calculation (e.g., hourly, daily).
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataStatus
            - type: 'null'
          description: status of invoice adjustment
        contract:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataContract
        quantity:
          type:
            - number
            - 'null'
          format: double
          description: The quantity/number of units applied.
        approvers:
          type: array
          items:
            $ref: >-
              #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataApproversItems
        worksheet:
          oneOf:
            - $ref: >-
                #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataWorksheet
            - type: 'null'
          description: Breakdown of the time/effort involved in the adjustment.
        attachment:
          oneOf:
            - $ref: >-
                #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataAttachment
            - type: 'null'
          description: File attachment linked to the invoice adjustment.
        created_at:
          type: string
          format: date-time
          description: Long date-time format following ISO-8601
        invoice_id:
          type:
            - number
            - 'null'
          format: double
          description: Identifier for the associated invoice.
        description:
          type: string
          description: Details or notes regarding the adjustment.
        reported_by:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReportedBy
          description: The user who reported/submitted the adjustment.
        reviewed_by:
          oneOf:
            - $ref: >-
                #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataReviewedBy
            - type: 'null'
          description: The user who reviewed the adjustment.
        custom_scale:
          type:
            - string
            - 'null'
          description: >-
            A custom unit of measurement if the standard 'scale' is not
            applicable.
        total_amount:
          type: string
          description: The total monetary value of the adjustment.
        currency_code:
          type: string
          description: Three-letter ISO-4217 currency code.
        payment_cycle:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaDataPaymentCycle
        date_submitted:
          type: string
          format: date-time
          description: Long date-time format following ISO-8601
      required:
        - id
        - type
        - status
        - contract
        - quantity
        - worksheet
        - attachment
        - created_at
        - description
        - reported_by
        - reviewed_by
        - total_amount
        - currency_code
        - payment_cycle
        - date_submitted
      title: InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaData
    invoice-adjustments_getInvoiceAdjustmentById_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: invoice-adjustments_getInvoiceAdjustmentById_Response_200
    InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        field:
          type: string
          description: Name of the field causing the error (for validation issues)
        message:
          type: string
          description: Human-readable explanation of the error
      title: InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaErrorsItems
    InvoiceLineItemById-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/InvoiceAdjustmentsIdGetResponsesContentApplicationJsonSchemaErrorsItems
      title: InvoiceLineItemById-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/invoice-adjustments/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/invoice-adjustments/id';
const options = {
  method: 'GET',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/invoice-adjustments/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/invoice-adjustments/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/invoice-adjustments/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/invoice-adjustments/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/invoice-adjustments/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/invoice-adjustments/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```